Allow specifies supported Operation status, Operation types, and all possible error statuses. This Allow object is used by clients to validate the correctness of a Rosetta Server implementation. It is expected that these clients will error if they receive some response that contains any of the above information that is not specified here.

export
interface

  RosettaNetworkOptionsResponseAllow

### Hierarchy

- RosettaNetworkOptionsResponseAllow

## Index

### Properties

- errors
- historical_balance_lookup
- operation_statuses
- operation_types

## Properties

### errors

errors: RosettaErrorNoDetails []

- Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:50

All Errors that this implementation could return. Any error that is returned during parsing that is not listed here will cause client validation to error.

memberof

  RosettaNetworkOptionsResponseAllow

### historical_balance_lookup

historical_balance_lookup: boolean

- Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:56

Any Rosetta implementation that supports querying the balance of an account at any height in the past should set this to true.

memberof

  RosettaNetworkOptionsResponseAllow

### operation_statuses

operation_statuses: RosettaOperationStatus []

- Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:38

All Operation.Status this implementation supports. Any status that is returned during parsing that is not listed here will cause client validation to error.

memberof

  RosettaNetworkOptionsResponseAllow

### operation_types

operation_types: string[]

- Defined in src/generated/models/RosettaNetworkOptionsResponseAllow.ts:44

All Operation.Type this implementation supports. Any type that is returned during parsing that is not listed here will cause client validation to error.

memberof

  RosettaNetworkOptionsResponseAllow

Generated using TypeDoc